;Legal: This code is provided as is without warranty.  It is
;   the responsibility of the person integrating this code
;   into an application to ensure that the combination
;   performs as required and is safe.
;Status:     In development
;Incomplete: All
;Tools:			Developed using Keil uV3 version 3.53.
;Hardware:   ADuC7060
;Description:
;    Chooses the reference for the ADC.
;Responsibility:
;    Group:      IAC Software
;    Person:     Eckart Hartmann
;Modifications:
;	2008/02/18	Design Start.

	GET c:\Aduc7xxx\706x\mrsh\public\Keil\ADuC7060.inc

; AdcRef==========Chooses the reference for the ADC.
; C Function prototype: int AdcRef(int iRef);
;iRef:{REF_INT,REF_EXT}
; Description of Function: Chooses the reference for the ADC.
; User interface:
;   Set iRef to one of the following:
;       1 or REF_INT to use the internal reference for the ADC.
;       2 or REF_EXT to use an external reference for the ADC.
;       Other value will leave reference selection unchanged.
;   Call AdcRef.
;       Returns 0, 1 or 2 depending on previous reference selection.
; Robustness:  iRef = 1 is not useable since the internal reference
;               must be connected to a 470uF capacitor.
; Side effects: Corrupts r3 and r1.

	AREA    |.text|, CODE, READONLY
	ARM
	EXPORT	AdcRef
	ENTRY

AdcRef
        mov     r3,#0xff0000            ;r3 = Z_BASE;
        orr     r3,r3,#0xff000000
        bx      lr                      ;return REFCON.

	END
