;All ADuC706x library code provided by ADI, including this file, is provided
; as is without warranty of any kind, either expressed or implied.
; You assume any and all risk from the use of this code.  It is the
; responsibility of the person integrating this code into an application
; to ensure that the resulting application performs as required and is safe.

;Status:		In development
;Incomplete:	All
;Tools:			Developed using Keil uV3 version 3.53.
;Hardware:		ADuC7060
;Description:	Reads the ADC status.
;Responsibility:
;	Group:		IAC Software
;	Person:		Eckart Hartmann
;Modifications:
;	2008/02/18	Design Start.

	GET c:\Aduc7xxx\706x\mrsh\public\Keil\ADuC7060.inc

; AdcSta==========Reads the ADC status.
; C Function prototype: int AdcSta(void);
; Description of Function: Reads the ADC status ADCSTA.
; User interface:
;	Call AdcSta.
;	Returns ADCSTA:
;		0 => No new ADC data is available
;		1 => New ADC0 data available.
;		2 => New ADC1 data available.
;		3 => New ADC0 and ADC1 data available.
; Robustness:  No known issues.
; Side effects: Corrupts r3.

	AREA    |.text|, CODE, READONLY
	ARM
	EXPORT	AdcSta
	ENTRY

AdcSta
		mov		r3,#0xff0000		;r3 = Z_BASE;
		orr		r3,r3,#0xff000000
		ldr		r0,[r3,#Z_ADCSTA]	;Get ADCSTA.
		bx		lr					;return.
         
	END
